
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android编程四大组件之Activity用法实例分析_Android / iVAN</title>

    <meta name="description" content="Android编程四大组件之Activity用法实例分析_Android 本文实例讲述了Android编程四大组件之Activity用法.分享给大家供大家参考,具体如下: 这里详细介绍如何创建Activity.生命周期.内存管理.启动模式. 创建Activity 一.定义Activity 1. 定义Activity 定义类继承Activity 2.在AndroidManifest.xml的节点中声明&lt;activity&gt; 显式意图创建Activity三种方式方式 //第一种方式:构造函数,代码少 Intent intent1 =new Intent(this ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android编程四大组件之Activity用法实例分析_Android</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本文实例讲述了Android编程四大组件之Activity用法。分享给大家供大家参考，具体如下：</p>
<p>这里详细介绍如何创建Activity、生命周期、内存管理、启动模式。</p>
<p><strong>创建Activity</strong></p>
<p>一.定义Activity</p>
<p>1. 定义Activity 定义类继承Activity</p>
<p>2.在AndroidManifest.xml的节点中声明&lt;activity&gt;</p>
<p>显式意图创建Activity三种方式方式</p>
<pre>
//第一种方式：构造函数，代码少
Intent intent1 =new Intent(this,NewActivity.class);
startActivity(intent1);
//第二种方式：类名形式，灵活，可扩展性强
Intent intent2 =new Intent();
intent2.setClassName(this,"cn.test.activity.NewActivity");
startActivity(intent2);
//第三种方式 ：包名类名形式，可启动其他程序中的Activity
Intent intent3 =new Intent();
intent3.setClassName("cn.test.taskdownloader","cn.test.taskdownloader.MainActivity");
startActivity(intent3);
</pre>
<p>二.创建Activity并传递数据</p>
<p>1.在意图对象中封装了一个Bundle对象，可以用来携带数据</p>
<p>2.在新Activity中可以获得意图对象以获取其中Bundle保存的数据</p>
<pre>
//传递数据方式一
Intent intent1 =new Intent(this,NewActivity.class);
Bundle bundle=new Bundle();
bundle.putString("data","Test");
intent1.putExtras(bundle);
startActivity(intent1);
//获取意图方式一
Bundle bundle2 =getIntent().getExtras();
Toast.makeText(this,bundle2.getString("data"),0).show();
//传递数据方式二
Intent intent2 =new Intent(this,NewActivity.class);
intent2.putExtra("data","Test2");
startActivity(intent2);
//获取意图方式二
 Toast.makeText(this,getIntent().getStringExtra("data"),0).show();
</pre>
<p>三.创建Activity获取返回数据</p>
<p>1. 使用startActivityForResult(Intent intent, int requestCode) 方法打开Activity</p>
<p>2. 重写onActivityResult(int requestCode, int resultCode, Intent data) 方法</p>
<p>3 .新Activity中调用setResult(int resultCode, Intent data) 设置返回数据之后，关闭Activity就会调用onActivityResult方法</p>
<p>请求的activity:</p>
<pre>
public class MainActivity extends Activity {
  @Override
  public void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.main);
  }
  /**
   * 创建Activity获取返回数据
   * @param view
   */
  public void createNew(View view){
    Intent intent1 =new Intent(this,NewActivity.class);
    intent1.putExtra("data","请求数据");
    //打开Activity等待返回
    startActivityForResult(intent1,100);
  }
  /**
   * 重写onActivityResult，关闭Activity就会调用此方法
   */
  protected void onActivityResult(int requestCode, int resultCode, Intent data) {
    Toast.makeText(this,"requestCode:"+requestCode+",requestCode:"+resultCode+",data"+data.getStringExtra("result"),0).show();
  }
}
</pre>
<p>返回的activity:</p>
<pre>
public class NewActivity extends Activity {
  @Override
  protected void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.new_activity);
    Toast.makeText(this,getIntent().getStringExtra("data"),0).show();
    //设置返回数据
    Intent data =new Intent();
    data.putExtra("result","返回的数据");
    setResult(200,data);
  }
}
</pre>
<p>四.隐式意图创建Activity</p>
<p>1.显式意图是指在创建意图时指定了组件，而隐式意图则不指定组件，通过动作、类型、数据匹配对应的组件</p>
<p>2.在清单文件中定义&lt;activity&gt;时需要定义&lt;intent-filter&gt;才能被隐式意图启动</p>
<p>3. &lt;intent-filter&gt;中至少配置一个&lt;action&gt;和一个&lt;category&gt;，否则无法被启动</p>
<p>4.Intent对象中设置的action、category、data在&lt;intent-filter&gt;必须全部包含才能启动</p>
<p>5.&lt;intent-filter&gt;中的&lt;action&gt;、&lt;category&gt;、&lt;data&gt;都可以配置多个，Intent对象中不用全部匹配，每样匹配一个即可启动</p>
<p>6.如果一个意图可以匹配多个Activity，Android系统会提示选择</p>
<p><strong>生命周期</strong></p>
<p>一.Acitivity三种状态</p>
<p>运行：activity在最前端运行</p>
<p>暂停：activity可见，但前端还有其他acti vity，被覆盖一部分，或者前端activity透明</p>
<p>停止：activity不可见，完全被覆盖</p>
<p>二.生命周期相关方法</p>
<p>onCreate：创建时调用，或者程序在暂停、停止状态下被杀死之后重新打开时也会调用</p>
<p>onStart：onCreate之后或者从停止状态恢复时调用</p>
<p>onResume：onStart之后或者从暂停状态恢复时调用，从停止状态恢复时由于调用onStart，也会调用onResume</p>
<p>onPause：进入暂停、停止状态，或者销毁时会调用</p>
<p>onStop：进入停止状态，或者销毁时会调用</p>
<p>onDestroy：销毁时调用</p>
<p>onRestart：从停止状态恢复时调用</p>
<p>如图所示：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTQxMDA4MTMzNDguZ2lm.jpg"></p>
<p>三.保存信息相关方法</p>
<p>onSaveInstanceState：在Activity被动的摧毁或停止的时候调用，用于保存运行数据，可以将数据存在在Bundle中</p>
<p>onRestoreInstanceState：该方法在Activity被重新绘制的时候调用，例如改变屏幕方向，savedInstanceState为onSaveInstanceState保存的数据</p>
<p><strong>内存管理</strong></p>
<p>Android系统在运行多个进程时，如果系统资源不足，会强制结束一些进程。优先选择哪个进程来结束是有优先级的。以下顺序靠上的优先结束</p>
<p>空：进程中所有Activity都已销毁</p>
<p>后台：进程中有一个停止状态的Activity</p>
<p>服务：进程中一个运行中的Service</p>
<p>可见：进程中有一个暂停状态的Activity</p>
<p>前台：进程中正在运行一个Activity</p>
<p><strong>启动模式</strong></p>
<p>1.在AndroidManifest.xml中的&lt;activity&gt;标签中可以配置android:launchMode属性，用来控制Actvity的启动模式</p>
<p>2.在Android系统中我们创建的Acitivity是以栈的形式呈现的</p>
<p>standard：每次调用startActivity()启动时都会创建一个新的Activity放在栈顶</p>
<p>singleTop：如果启动的Activity时，指定Activity不在栈顶就创建，如在栈顶，则不再创建</p>
<p>singleTask：如果启动的Activity不存在就创建，如果存在直接跳转到指定的Activity所在位置</p>
<p>singleInstance：如果启动的Activity不存在就创建，如果存在就将指定的Activity移动到栈顶</p>
<p>希望本文所述对大家Android程序设计有所帮助。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索android<br />
                    ，                activity<br />
                    ，                四大组件<br />
                                    android组件<br />
                                    activity四大组件、activity组件、activity共享组件动画、activity组件暴露风险、activity组件安全，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-01-31 01:47:48</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/android/" title="android">android</a>, <a href="https://www.iamivan.net/tag/activity/" title="activity">activity</a>, <a href="https://www.iamivan.net/tag/%e5%9b%9b%e5%a4%a7%e7%bb%84%e4%bb%b6/" title="四大组件">四大组件</a>, <a href="https://www.iamivan.net/tag/android%e7%bb%84%e4%bb%b6/" title="android组件">android组件</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android编程四大组件之Activity用法实例分析_Android的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxlxZjM.html" rel="bookmark">Android编程四大组件之Activity用法实例分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android编程四大组件之Activity用法.分享给大家供大家参考,具体如下: 这里详细介绍如何创建Activity.生命周期.内存管理.启动模式. 创建Activity 一.定义Activity 1. 定义Activity 定义类继承Activity 2.在AndroidManifest.xml的节点中声明&lt;activity&gt; 显式意图创建Activity三种方式方式 //第一种方式:构造函数,代码少 Intent intent1 =new Intent(this,NewA			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN7Y27p.html" rel="bookmark">Android编程布局&lpar;Layout&rpar;之AbsoluteLayout用法实例分析&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android编程布局(Layout)之AbsoluteLayout用法.分享给大家供大家参考,具体如下: AbsoluteLayout,顾名思义,就是绝对位置的布局:也可以叫做坐标布局,也就是指定元素的绝对位置(或者叫绝对坐标值).这种布局简单直接,直观性强,但是由于手机屏幕尺寸差别比较大,使用绝对定位的适应性会比较差. &lt;?xml version = &quot;1.0&quot; encoding = &quot;utf-8&quot;?&gt; &lt;AbsoluteLayo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9jqE3p.html" rel="bookmark">Android编程学习之抽象类AbsListView用法实例分析&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android编程学习之抽象类AbsListView用法.分享给大家供大家参考,具体如下: 一.继承关系 public abstract class AbsListView extends AdapterView &lt;T extendsAdapter&gt; java.lang.Object          android.view.View                android.view.ViewGroup                       android.widg			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXKdJAM.html" rel="bookmark">Android编程中Handler原理及用法实例分析&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android编程中Handler用法.分享给大家供大家参考,具体如下: 在Android的UI开发中,我们经常会使用Handler来控制主UI程序的界面变化.有关Handler的作用,我们总结为:与其他线程协同工作,接收其他线程的消息并通过接收到的消息更新主UI线程的内容. 我们假设在一个UI界面上面,有一个按钮,当点击这个按钮的时候,会进行网络连接,并把网络上的一个字符串拿下来显示到界面上的一个 TextView上面,这时就出现了一个问题,如果这个网络连接的延迟过大,可能是10			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ2oY4z.html" rel="bookmark">Android编程中selector背景选择器用法实例分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android编程中selector背景选择器用法.分享给大家供大家参考,具体如下: 在Android开发过程中,经常对某一View的背景在不同的状态下,设置不同的背景,增强用户体验.如果按钮,在按下时,背景变化,如果在代码中动态设置,相对比较麻烦.Android为我们提供了selector背景选择器可以非常方便的解决这一问题. Selector的结构描述: 1.android:state_pressed=&quot;true/false&quot; true:表示按下状态下使用,false			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY9OlZM.html" rel="bookmark">Android编程布局&lpar;Layout&rpar;之AbsoluteLayout用法实例分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android编程布局(Layout)之AbsoluteLayout用法.分享给大家供大家参考,具体如下: AbsoluteLayout,顾名思义,就是绝对位置的布局:也可以叫做坐标布局,也就是指定元素的绝对位置(或者叫绝对坐标值).这种布局简单直接,直观性强,但是由于手机屏幕尺寸差别比较大,使用绝对定位的适应性会比较差. &lt;?xml version = &quot;1.0&quot; encoding = &quot;utf-8&quot;?&gt; &lt;AbsoluteLayo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN2x3dM.html" rel="bookmark">Android编程学习之抽象类AbsListView用法实例分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android编程学习之抽象类AbsListView用法.分享给大家供大家参考,具体如下: 一.继承关系 public abstract class AbsListView extends AdapterView &lt;T extendsAdapter&gt; java.lang.Object          android.view.View                android.view.ViewGroup                       android.widg			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mlmx1Yp.html" rel="bookmark">Android编程之Button控件用法实例分析&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android编程之Button控件用法.分享给大家供大家参考,具体如下: 一.Button概述 android.widget.Button直接继承于android.wdiget.TextView. 直接子类有:CompoundButton. 间接子类有:CheckBox,RadioButton,Switch,ToggleButton. Button类表示一个&quot;按钮&quot;控件.&quot;按钮&quot;控件可以被用户按下或者点击,来触发另一个操作. 二.Button的用法			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBkx8OM.html" rel="bookmark">Android之日期及时间选择对话框用法实例分析&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android之日期及时间选择对话框用法.分享给大家供大家参考.具体如下: 清单文件: &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;manifest xmlns:android=&quot;http://schemas.android.com/apk/res/android&quot; package=&quot;com.ljq.dialog&quot; android:versionCode=&q			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrjjMK.html" rel="bookmark" class="title">Android Jni调用so库，加载库失败分析</a>
					<div>
						现有一个项目,通过JNI接口调用底层库,例如:lib***.so 如下所示,总是加载不成功.调试发现,每次加载so库,会跳到catch异常处理部分,然后打印异常log信息. static{ try{  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlB0Lz.html" rel="bookmark" class="title">如何在Word中输入千分号和万分号？</a>
					<div>
						  Word中千分号怎么打? 单击插入→特殊符号,出现插入特殊符号对话框,选择单位符号标签,就可以找到千分号,双击即可. 此外,也可以在英文输入状态下,按下Alt+0137(小键盘),也可以输入. W ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqABkM.html" rel="bookmark" class="title">我们需要测试！</a>
					<div>
						有测试朋友对陈皓 同学的这篇文章比较气愤,因为他否定了我们广大测试员存在的意义.如果有人跳出来对某人说,你做的工作毫无意义,有你没你公司一样运转,项目一样进行,这无疑是对这个人最大的打击,这是对一个人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgQ0Ez.html" rel="bookmark" class="title">js中提示&dollar; is not defined</a>
					<div>
						1.查看是否没引入jQuery的js 2.如果引入了,查看是否顺序错了,jQuery的js一定要在最前面 本文链接http://www.cxybl.com/html/wyzz/JavaScript_A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXR9lb.html" rel="bookmark" class="title">建立完美的同学录之浅谈同学录的完善包装</a>
					<div>
						母校同学录架设成功后,我先试运行了一段时间并邀请几个要好的同学来网站注册试用,同学们给我的反馈是对同学录的功能应用比较满意,但在界面上稍显呆板,欠缺一些个性的东西.鉴于此,我决定对同学录进行全新包装. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9Mx8k0M.html" rel="bookmark" class="title">完成所有这些绑定后仍意犹未尽</a>
					<div>
						Chris Sells 介绍视图如何维护当前项以及如何支持筛选和排序.然后介绍如何进行转换,以绑定到一种数据类型并映射到另一种数据类型或不同的值范围. 点击此处阅读全文					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgrwOb.html" rel="bookmark" class="title">免费资源&colon;创意图标设计素材收集整理</a>
					<div>
						相信大家都喜欢创意图标设计.在这篇文章中芒果收集了 30+ 适合于设计开发人员的清新图标集.你会发现一些迷你图标.象形图标.线框图标.电子商务图标.工具栏图标.移动应用程序图标-等等不胜枚举的例子.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXJPKb.html" rel="bookmark" class="title">介绍一个免费的具备数据显示&sol;录入&sol;更新&sol;删除功能的asp&period;net控件</a>
					<div>
						asp.net|控件|数据|显示 我不能说它比datagrid更强, 因为datagrid有很多深层次的东西可以发掘,但是我能说它比datagrid更易用,更实用,因为它已经轻松实现如下功能,同时,它 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM617Wb.html" rel="bookmark" class="title">评判SEO的价值是什么？排名还是投资回报率？</a>
					<div>
						大多数人对搜索引擎优化(SEO)的期望设置的不太合理.当我谈论到未来的前景时我想起了这个,有人问我他应该期望从SEO的投资中获得多少回报. &quot;我期待指数级的增长,比如和获得比现在多20倍的流 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNgQ7p.html" rel="bookmark" class="title">一棵好树&comma;梅花树&comma;后台生成前台htm树&lpar;asp&period;net c&rpar;</a>
					<div>
						asp.net|后台 首先模板treetemplate.htm文件如下: &lt;HTML&gt; &lt;HEAD&gt; &lt;title&gt;tree&lt;/title&gt; &lt;m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGBg6p.html" rel="bookmark" class="title">为什么笔记本电脑鼠标滚轮不能使用</a>
					<div>
						问:我在笔记本装上了双飞燕的3D滚轮鼠标,插上PS/2接口.重新开机启动系统,这个外接鼠标可以正常使用,但不知为什么滚轮功能却无法发挥作用,好似被屏蔽了一般,奇怪的是在家中的电脑上滚轮功能并未失效,这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAn00b.html" rel="bookmark" class="title">Android的ToDoList&lpar;fragment&rpar; 详解</a>
					<div>
						Fragment(碎片) 可以灵活地从一个活动的Activity上添加或删除Fragment, 有良好的用户体验; 下面是Fragment的具体设计: 1. 创建new_item_fragment的资 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrK4E1p.html" rel="bookmark" class="title">Oracle 8&period;1&period;7安装时出现故障怎么办？</a>
					<div>
						方法 查找symcjit.dll,会找到两处,都是jre(Java Runtime Environment) 将此两文件改名为symcjit_.dll,然后安装,可以完全正常. 安装硬件(已经正常安装 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2W09b.html" rel="bookmark" class="title">wps文字教程：商标符号任我输入</a>
					<div>
						前几天同事在起草一份文件时,需要输入产品的商标名称及符号,可在文档中弄了半天也打不出来,这可把同事急不得了,因为领导还等着要文件呢,没办法只好在QQ群中求助了.网友的办法可谓是五花八门,什么样的方法都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJRqnp.html" rel="bookmark" class="title">暴风影音的老板键在哪设置</a>
					<div>
						1.在暴风影音界面,点击右上角的暴风影音. 2.然后在接下来的选项中,选择高级选项. 3.高级选项中,点击热键设置. 4.在热键设置中,将开启老板键和使用老板键的方格中选中.   5.选中后,点击确定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaQLRz.html" rel="bookmark" class="title">win7系统玩游戏提示XINPUT1-3&period;dll丢失怎么处理</a>
					<div>
						  方法一:将附件中的XINPUT1-3.DLL文件放入系统盘 windows 文件夹的system32文件夹中,即X:windowssystem32的文件夹中. 方法二:下载重新更新DirectX9 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYdAkM.html" rel="bookmark" class="title">钉钉如何设置搜索快捷键？</a>
					<div>
						  登入电脑客户端,点击左下角的&quot;设置&quot;的标识,在&quot;设置-搜索快捷键&quot;设置即可;					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWwRvp.html" rel="bookmark" class="title">js获得指定控件输入光标的坐标兼容IE&comma;Chrome&comma;火狐等多种主流浏览器&lowbar;javascript技巧</a>
					<div>
						直接上代码 复制代码 代码如下: var kingwolfofsky = { /** * 获取输入光标在页面中的坐标 * @param {HTMLElement} 输入框元素 * @return {O ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YE4gM.html" rel="bookmark" class="title">使用C&plus;&plus;和DirectX开发游戏GUI&lpar;二&rpar;</a>
					<div>
						欢迎您继续阅读&quot;使用C++和Directx开发GUI&quot;的第二部分.这里是第一部分.接着我们的主题(讲解在我未来的游戏如何使用GUI(图形用户界面)),本文将解释窗体的许多神秘之处. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm664Dz.html" rel="bookmark" class="title">浏览器-JS  无法获取属性&OpenCurlyDoubleQuote;0&rdquo;的值 &lpar;备注：IE9下&rpar;</a>
					<div>
						问题描述 JS 无法获取属性&quot;0&quot;的值 (备注:IE9下) 上传图片在其他浏览器都正常,在IE9下点不点没反应,控制台报错 无法获取属性&quot;0&quot;的值:对象为 nu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My38O4z.html" rel="bookmark" class="title">azure-中国版 Windows Azure 和其它地区的 Azure 服务是否相同？</a>
					<div>
						问题描述 中国版 Windows Azure 和其它地区的 Azure 服务是否相同? 中国版 Windows Azure 和其它地区的 Azure 服务是否相同? 解决方案 完全不同 山寨版的 az ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgR3B1b.html" rel="bookmark" class="title">算法-有人做过音乐游戏吗？关于计分怎么实现？</a>
					<div>
						问题描述 有人做过音乐游戏吗?关于计分怎么实现? 我要怎么将玩家的操作与系统内的计分规则匹配.就是怎么判断玩家在这个时间的操作是不是与节奏点相匹呢?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBdAAb.html" rel="bookmark" class="title">我想记录下C&num;中的WebBrowser控件所有事件如何做</a>
					<div>
						问题描述 我想用C#中的WebBrowser控件做一个简易的浏览器,并编写一段代码记录下浏览器向系统发送的消息和系统向浏览器发送的消息,保存的一个文本文档中.目的是分析一下我在网页中的一些操作都触发了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRX9Op.html" rel="bookmark" class="title">NPOI 处理greatCell 超过4000行报错</a>
					<div>
						问题描述 最近在用NPOI处理Excel03,主要是根据判断要求遍历修改单元格的背景色.第一次运行时候没问题,当第二次运行同一个表格的时候报错,提示为:Themaximumnumberofcellst ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJDY8p.html" rel="bookmark" class="title">bash&colon; mysql&colon; command not found 解决</a>
					<div>
						bash: mysql: command not found 解决方案 原因:命令行的命令,系统会在  /usr/bin 里面查找, 解决:映射一软链接到  /usr/bin 目录 以 root 身份 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZOanp.html" rel="bookmark" class="title">请高手 帮忙把这段vb&period;net 代码转换成 c&num; 代码</a>
					<div>
						问题描述 '''&lt;summary&gt;'''获取或设置所有数据权限'''&lt;/summary&gt;'''&lt;paramname=&quot;cUserName&quot;&gt;用户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60RYYz.html" rel="bookmark" class="title">PWM 调光</a>
					<div>
						 /*-----------------------------------------------   名称:PWM 调光   日期:2013,4,29   修改:无   内容:1.学习目的:利用定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWg1lz.html" rel="bookmark" class="title">Android中自定义进度条详解&lowbar;Android</a>
					<div>
						Android原生控件只有横向进度条一种,而且没法变换样式,比如原生rom的样子 很丑是吧,当伟大的产品设计要求更换前背景,甚至纵向,甚至圆弧状的,咋办,比如: ok,我们开始吧: 一)变换前背景 先 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLgegM.html" rel="bookmark" class="title">MySql中使用INSERT INTO语句更新多条数据的例子&lowbar;Mysql</a>
					<div>
						我们知道当插入多条数据的时候insert支持多条语句: 复制代码 代码如下: INSERT INTO t_member (id, name, email) VALUES     (1, 'nick', ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Q4wXM.html" rel="bookmark" class="title">真不知道哪里出问题-不知道哪里有问题，打印出来的result都是零！</a>
					<div>
						问题描述 不知道哪里有问题,打印出来的result都是零! #include int main() { int n; int m=1; float b; float a=0.99; float res ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
